# stg-commit(1) Manual Page

## NAME

stg-commit - Finalize patches to the stack base

## SYNOPSIS

    stg commit [OPTIONS] [patch]…
    stg commit [OPTIONS] -n <number>
    stg commit [OPTIONS] --all

## DESCRIPTION

Finalize one or more patches into the base of the current stack and remove them from the series. This is the opposite of stg uncommit. Use this command when a patch is completed and no longer needs to be managed with StGit.

By default, the bottommost patch is committed. If patch names are given, the stack is rearranged so that those patches are at the bottom, and then they are committed.

The -n/--number option specifies the number of applied patches to commit (counting from the bottom of the stack). If -a/--all is given, all applied patches are committed.

## OPTIONS

-n <number>
--number=<number>

  Commit the specified number of applied patches

-a
--all

  Commit all applied patches

--allow-empty

  Allow empty patches to be committed

## StGit

Part of the StGit suite - see stg(1)